# KIM CCache Iterator Reference Documentation

## Functions

- kim_error kim_ccache_iterator_create (kim_ccache_iterator *out_ccache_iterator)
    Get a ccache iterator to enumerate ccaches in the cache collection.
- kim_error kim_ccache_iterator_next (kim_ccache_iterator in_ccache_iterator, kim_ccache *out_ccache)
    Get the next ccache in the cache collection.
- void kim_ccache_iterator_free (kim_ccache_iterator *io_ccache_iterator)
    Free memory associated with a ccache iterator.

## Function Documentation

kim_error kim_ccache_iterator_create | ( | kim_ccache_iterator * | out_ccache_iterator | ) |

Get a ccache iterator to enumerate ccaches in the cache collection.

Parameters:

  | out_ccache_iterator | on exit, a ccache iterator object for the cache collection.

Returns:
  On success, KIM_NO_ERROR. On failure, an error code representing the failure.

kim_error kim_ccache_iterator_next | ( | kim_ccache_iterator | in_ccache_iterator,
|  | kim_ccache * | out_ccache |
| ) |  |  |

Get the next ccache in the cache collection.

Parameters:

  | in_ccache_iterator | a ccache iterator object.
  | out_ccache | on exit, the next ccache in the cache collection. If there are no more ccaches in the cache collection this argument will be set to NULL.

Returns:
  On success, KIM_NO_ERROR. On failure, an error code representing the failure.

void kim_ccache_iterator_free | ( | kim_ccache_iterator * | io_ccache_iterator | ) |

Free memory associated with a ccache iterator.

Parameters:

  | io_ccache_iterator | a ccache iterator object to be freed. Set to NULL on exit.